package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.exception.StatusException;
import cn.com.qmth.examcloud.support.cache.CacheHelper;
import cn.com.qmth.examcloud.support.cache.bean.ExamStudentCacheBean;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "在线考试控制")
@RestController
@RequestMapping("${$rmp.ctr.oe}/examControl")
public class ExamControlController extends ControllerSupport {

	@ApiOperation(value = "准备考试")
	@GetMapping("/prepare4Exam")
	public void startExam(@RequestParam Long studentId, @RequestParam Long examId,
			@RequestParam Long courseId) {

		ExamStudentCacheBean examStudent = CacheHelper.getExamStudent(studentId, examId, courseId);

		if (null == examStudent) {
			throw new StatusException("008001", "考生不存在");
		}

	}

}
